# vagrant cisti.org dev file
# use this vagrant to build and test your ansible role

Vagrant.configure("2") do |config|
  config.vm.define :dev do |dev|
    dev.vm.box = "generic/debian10"
    dev.vm.synced_folder "../..", "/vagrant", disabled: false
    dev.vm.provision "shell", inline: "DEBIAN_FRONTEND=noninteractive apt-get -qq update && apt-get -y autoclean && apt-get -y autoremove"
    dev.vm.provision "shell", inline: "DEBIAN_FRONTEND=noninteractive apt-get -fqy dist-upgrade && apt-get -qq -y install ansible"
  end
end
